Export (0) Print
Expand All

System Requirements: Virtual Machine Hosts

Updated: August 14, 2009

Applies To: Virtual Machine Manager 2008, Virtual Machine Manager 2008 R2, Virtual Machine Manager 2008 R2 SP1

The system requirements for a virtual machine host in System Center Virtual Machine Manager (VMM) 2008 or VMM 2008 R2 vary depending on the host's virtualization software and other factors.

Hardware Requirements

The hardware requirements for a host vary depending on a number of factors, including but not limited to the following:

  • The virtualization software installed on the host

  • The number and type of guest operating systems

  • The applications you plan to run on the guest operating systems

For more information about the hardware requirements for a host, refer to the product documentation for the virtualization software installed on the host.

noteNote
A host running the Hyper-V server role in Windows Server 2008 must have hardware-assisted virtualization support and hardware-assisted virtualization support must be enabled in the BIOS.

Software Requirements

VMM supports the following virtualization software for managing hosts.

Microsoft Virtual Server 2005

The following software is required for a host that is running Virtual Server 2005 virtualization software.

 

Software requirement Notes

A supported version of the Windows Server 2003 operating system

For more information, see Supported Operating Systems for VMM Components.

One of the following versions of Microsoft Virtual Server 2005:

  • Microsoft Virtual Server 2005 R2 with SP1 or later

  • Microsoft Virtual Server 2005 R2 x64 with SP1 or later

When you add a host to VMM and that host's operating system supports Virtual Server 2005 R2, VMM automatically installs the correct version of Virtual Server 2005 R2 if it is not installed already.

Windows Remote Management (WinRM) installed from the following site: WS-Management v1.1 (http://go.microsoft.com/fwlink/?LinkId=84599)

If you have previously enabled WinRM by using the Management and Monitoring Tools components group in Add/Remove Windows Components, that version will not work with VMM. You must install the version of this software indicated here, which overwrites your existing version.

Windows Server 2008 or Windows Server 2008 R2

The following software is required for a host that is running Windows Server Hyper-V virtualization software.

 

Software requirement Notes

A supported version of the Windows Server 2008 operating system

For more information, see Supported Operating Systems for VMM Components.

Windows Server Hyper-V server role must be enabled

To enable the Hyper-V server role in Windows Server 2008 or Windows Server 2008 R2, the computer must have hardware-assisted virtualization support enabled in the BIOS.

The latest Windows Server Hyper-V updates should be installed

For Windows Server 2008 only, Hyper-V updates must be installed in the following order:

  1. Hyper-V Update for Windows Server 2008 x64 Edition (KB950050) (http://go.microsoft.com/fwlink/?LinkID=142900)

  2. Hyper-V Update for Windows Server 2008 x64 Edition (KB956589) (http://go.microsoft.com/fwlink/?LinkID=113199)

Non-Windows hosts

The following software is required for a host that is running VMware virtualization software.

 

Software requirement Notes

One of the following versions of VMware VirtualCenter:

  • VMware VirtualCenter 2.5

  • VMware VirtualCenter 2.0.1

For more information about the software requirements for VMware, refer to the VMware product documentation.

One of the following versions of VMware ESX Server:

  • VMware ESX Server 3.5

  • VMware ESX Server 3.0.2

  • VMware ESX Server 3i

When you add a VMware VirtualCenter server to VMM, all existing hosts that are running a supported version of ESX Server are also added to VMM.

See Also

Was this page helpful?
(1500 characters remaining)
Thank you for your feedback

Community Additions

ADD
Show:
© 2014 Microsoft